## org.biojava.bio.dp
Interface Trainable

All Known Subinterfaces:
  EmissionState, MarkovModel, ModelInState

public interface Trainable

Flags an object as being able to register itself with a model trainer.

Author:
  Matthew Pocock

Method Summary
`void` `registerWithTrainer(ModelTrainer mt)` Perform any registration that is necisary with mt.

Method Detail

### registerWithTrainer

    public void registerWithTrainer(ModelTrainer mt)
                             throws BioException

  Perform any registration that is necisary with mt.

  This may include registering handelers for transition or emission counts, or registering other Trainable objects with the ModelTrainer.

  Parameters:
    `mt` - the ModelTrainer that encapsulates the training environment
  Returns:
    a StateTrainer